Npm - Update Package
PATCH https://pkgs.dev.azure.com/{organization}/_apis/packaging/feeds/{feedId}/npm/{packageName}/versions/{packageVersion}?api-version=5.1-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
feed
|
path | True |
|
|
|
organization
|
path | True |
|
The name of the Azure DevOps organization. |
|
package
|
path | True |
|
|
|
package
|
path | True |
|
|
|
api-version
|
query | True |
|
Version of the API to use. This should be set to '5.1-preview.1' to use this version of the api. |
Request Body
| Name | Type | Description |
|---|---|---|
| deprecateMessage |
|
Indicates the deprecate message of a package version |
| views |
The view to which the package version will be added |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.packaging_manage | Grants the ability to create, read, update, and delete feeds and packages. |
Definitions
|
Json |
The JSON model for a JSON Patch operation |
| Operation |
The patch operation |
| Package |
Package version metadata for an npm package |
|
Package |
|
|
Packaging |
Source type, such as Public or Internal. |
|
Reference |
The class to represent a collection of REST reference links. |
|
Upstream |
Upstream source definition, including its Identity, package type, and other associated information. |
JsonPatchOperation
The JSON model for a JSON Patch operation
| Name | Type | Description |
|---|---|---|
| from |
|
The path to copy from for the Move/Copy operation. |
| op |
The patch operation |
|
| path |
|
The path for the operation. In the case of an array, a zero based index can be used to specify the position in the array (e.g. /biscuits/0/name). The "-" character can be used instead of an index to insert at the end of the array (e.g. /biscuits/-). |
| value |
|
The value for the operation. This is either a primitive or a JToken. |
Operation
The patch operation
| Name | Type | Description |
|---|---|---|
| add |
|
|
| copy |
|
|
| move |
|
|
| remove |
|
|
| replace |
|
|
| test |
|
Package
Package version metadata for an npm package
| Name | Type | Description |
|---|---|---|
| _links |
Related REST links. |
|
| deprecateMessage |
|
Deprecated message, if any, for the package. |
| id |
|
Package Id. |
| name |
|
The display name of the package. |
| permanentlyDeletedDate |
|
If and when the package was permanently deleted. |
| sourceChain |
The history of upstream sources for this package. The first source in the list is the immediate source from which this package was saved. |
|
| unpublishedDate |
|
If and when the package was deleted. |
| version |
|
The version of the package. |
PackageVersionDetails
| Name | Type | Description |
|---|---|---|
| deprecateMessage |
|
Indicates the deprecate message of a package version |
| views |
The view to which the package version will be added |
PackagingSourceType
Source type, such as Public or Internal.
| Name | Type | Description |
|---|---|---|
| internal |
|
Azure DevOps upstream source. |
| public |
|
Publicly available source. |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
|
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |
UpstreamSourceInfo
Upstream source definition, including its Identity, package type, and other associated information.
| Name | Type | Description |
|---|---|---|
| displayLocation |
|
Locator for connecting to the upstream source in a user friendly format, that may potentially change over time |
| id |
|
Identity of the upstream source. |
| location |
|
Locator for connecting to the upstream source |
| name |
|
Display name. |
| sourceType |
Source type, such as Public or Internal. |